Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   apt upgrade to testing breaks? (http://www.linux-archive.org/debian-user/123176-apt-upgrade-testing-breaks.html)

Peet Grobler 07-11-2008 04:26 PM

apt upgrade to testing breaks?
 
I'd like to upgrade my etch notebook to testing, simply to have newer
packages available. This machine is not visible on the internet, and I'm
the only user, so security is not such a huge issue. Attempting to do
this though - apt says it'll uninstall certain packages (which I use!)

I'm not sure if I can go ahead and do the dist-upgrade, and just install
the packages again after. I don't want to try this and have to
re-install the notebook from scratch again (it's quite a hassle getting
everything working)

Any advice appreciated. sources.list and output from apt-get dist-upgrade:

sparky:~# cat /etc/apt/sources.list
# TENET mirror
deb http://debian.mirror.ac.za/debian/ etch main contrib non-free
deb http://debian.mirror.ac.za/debian/ testing main contrib non-free

# Official debian repository
deb ftp://ftp.debian.org/debian/ etch main contrib non-free
deb ftp://ftp.debian.org/debian/ testing main contrib non-free

# Official security updates
deb http://security.debian.org/ etch/updates main contrib non-free

# WineHQ - Debian etch repository
deb http://wine.budgetdedicated.com/apt etch main

# swiftfox
deb http://getswiftfox.com/builds/debian unstable non-free
sparky:~#

sparky:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Calculating upgrade... Done
The following packages will be REMOVED:
dbus-1-utils fglrx-kernel-2.6.25-1.7 fglrx-kernel-2.6.25-1.8 gimp
gimp-print
gnome-sudoku libapache-mod-php5 libcamel1.2-8 libebook1.2-5
libedataserverui1.2-6 libexchange-storage1.2-1 libglib1.2 libldap2
libnss3-0d libopal-2.2.0 liborbit0 libpci2 libpt-1.10.0 libpt-plugins-alsa
libpt-plugins-v4l libsasl2 libssp0 libvte4 libxaw-headers libxul0d
linux-kernel-headers xmms
The following NEW packages will be installed:
acpi-support-base cpp-4.3 cups cups-bsd cups-client cups-common cupsddk
cupsddk-drivers discover-data fglrx-source g++-4.3 gcc-4.3 gcc-4.3-base
gcj-4.3-base ghostscript ghostscript-x gij-4.3 gnome-mount
gnome-settings-daemon gnuchess grub-common guile-1.8-libs hal-info hplip
hplip-data libavahi-compat-libdnssd1 libavahi-core5 libavcodec51
libavdevice52 libavformat52 libavutil49 libbind9-30 libblas3gf
libboost-filesystem1.34.1 libboost-program-options1.34.1
libboost-regex1.34.1 libcairomm-1.0-1 libcamel1.2-11 libcap2 libcdio7
libcompress-raw-zlib-perl libcups2 libcwidget3 libdatrie0 libdb4.5
libdb4.6
libdevmapper1.02.1 libdirectfb-1.0-0 libdirectfb-extra libdjvulibre21
libdns32 libebook1.2-9 libecal1.2-7 libedataserver1.2-9
libedataserverui1.2-8 libeel2-2.20 libelfg0 libenchant1c2a libept0
libexempi3 libfaad0 libffi5 libflac8 libgail18 libgcj9-0 libgd2-noxpm
libgda3-3 libgda3-common libgdl-gnome-1-0 libgfortran3 libggz2 libggzcore9
libggzmod4 libgif4 libglib1.2ldbl libglibmm-2.4-1c2a libgmp3c2
libgnomekbd-common libgnomekbd2 libgnomekbdui2 libgnomevfs2-extra
libgnutls26 libgomp1 libgpm2 libgraphviz4 libgs8 libgtkmm-2.4-1c2a
libgtksourceview2.0-0 libgtksourceview2.0-common libgucharmap6
libgweather-common libgweather1 libhunspell-1.2-0 libhyphen0 libicu38
libilmbase6 libimlib2 libio-compress-base-perl libio-compress-zlib-perl
libisc32 libisccc30 libisccfg30 libiw29 libjasper1 libkeyutils1
liblapack3gf
libldap-2.4-2 libltdl3 liblwres30 liblzo2-2 libmagick10 libmozjs1d
libmpfr1ldbl libnautilus-burn4 libneon27 libnet-dbus-perl libnss3-1d
liboobs-1-4 libopencdk10 libopenexr6 liborbit0ldbl libpaper-utils libpci3
libpcsclite1 libperl5.10 libpixman-1-0 libpixman-1-dev libpoppler-glib3
libpoppler3 libpostproc51 libpq5 libpthread-stubs0 libpthread-stubs0-dev
libruby1.8 libsane-extras libsensors4 libservlet2.4-java libslab0
libsmbios1
libsnmp15 libsoup2.4-1 libspectre1 libsplashy1 libssh2-1
libstdc++6-4.3-dev
libsuitesparse-3.1.0 libswscale0 libthai-data libthai0 libtimedate-perl
libtorrent10 libtotem-plparser10 libtrackerclient0 libts-0.0-0 libvte9
libwavpack1 libwine libwine-alsa libwine-cms libwine-gl libwine-gphoto2
libwine-ldap libwine-print libwine-sane libwnck22 libwpg-0.1-1
libwps-0.1-1
libwvstreams4.4-base libwvstreams4.4-extras libx86-1 libxapian15
libxcb-render-util0 libxcb-render0 libxcb-xlib0 libxcb-xlib0-dev libxcb1
libxcb1-dev libxklavier12 libxml-parser-perl libxml-twig-perl libxmlrpc-c3
linux-libc-dev lp-solve lzma netcat-traditional openoffice.org-base-core
openoffice.org-filter-mobiledev openoffice.org-officebean
openoffice.org-style-andromeda openoffice.org-style-tango
openoffice.org-writer2latex openssl-blacklist pm-utils python-dbus
python-eggtrayicon python-gobject python-gtkhtml2 python-gtkmozembed
python-gtksourceview2 python-notify python2.5 python2.5-minimal
schroot-common ssl-cert tcl8.4 ttf-dejavu-core ttf-dejavu-extra whois
wine-bin wine-utils x11-apps x11-session-utils x11-utils x11-xfs-utils
x11-xkb-utils x11-xserver-utils xauth xinit xserver-xorg-video-intel
xserver-xorg-video-openchrome xserver-xorg-video-radeonhd
xserver-xorg-video-vmware xulrunner-1.9
The following packages have been kept back:
gcc-3.4-base hotkey-setup wvdial
The following packages will be upgraded:
acpi acpi-support acpid adduser alacarte alsa-base alsa-utils
alsaplayer-alsa alsaplayer-common alsaplayer-gtk anacron apache2-utils apt
apt-utils aptitude avahi-autoipd avahi-daemon base-files base-passwd bash
bind9-host binutils bison bittorrent bluetooth bluez-gnome bluez-utils
bsdmainutils bsdutils bsh bug-buddy busybox bzip2 ca-certificates
cabextract
capplets-data cdrdao cdrecord console-common console-data console-tools
coreutils cpio cpp cpp-4.1 cpufrequtils cron cups-pdf cupsys cupsys-client
cupsys-common cupsys-driver-gutenprint dash dbus debconf debconf-i18n
debhelper debian-archive-keyring debianutils debootstrap defoma
deskbar-applet desktop-base desktop-file-utils dhcdbd dhcp3-client
dhcp3-common dictionaries-common diff discover1 discover1-data dmidecode
dnsutils docbook-xml dpkg dpkg-dev dselect dvd+rw-tools e2fslibs e2fsprogs
ed eject enigmail eog evince evolution-data-server-common evolution-webcal
fakeroot ffmpeg fglrx-driver fglrx-kernel-src file findutils finger flex
fontconfig fontconfig-config foomatic-db foomatic-db-engine
foomatic-db-gutenprint foomatic-db-hpijs foomatic-filters freeglut3
ftp g++
g++-4.1 gcalctool gcc gcc-4.1 gcc-4.1-base gconf-editor gconf2
gconf2-common
gdb gdk-imlib11 gdm gedit gedit-common genisoimage genromfs gettext
gettext-base gij gimp-data gksu gnome-about gnome-alsamixer gnome-applets
gnome-applets-data gnome-backgrounds gnome-bin gnome-btdownload
gnome-cards-data gnome-control-center gnome-desktop-data gnome-games
gnome-games-data gnome-icon-theme gnome-keyring gnome-keyring-manager
gnome-libs-data gnome-media gnome-media-common gnome-menus gnome-mime-data
gnome-netstatus-applet gnome-nettool gnome-panel gnome-panel-data
gnome-screensaver gnome-session gnome-system-monitor gnome-system-tools
gnome-terminal gnome-terminal-data gnome-themes gnome-utils
gnome-volume-manager gnomebaker gnupg gpgv grep groff-base grub gs-common
gs-esp gsfonts gstreamer0.10-alsa gstreamer0.10-esd gstreamer0.10-ffmpeg
gstreamer0.10-gnomevfs gstreamer0.10-plugins-base
gstreamer0.10-plugins-good
gstreamer0.10-plugins-ugly gtk2-engines gtk2-engines-pixbuf gtkhtml3.8
gucharmap gzip hal hddtemp hdparm hibernate hicolor-icon-theme hostname
hpijs icedax icedove iceweasel ifupdown ijsgutenprint imagemagick
imlib-base
info initramfs-tools initscripts installation-report iptables iptraf
iputils-ping iputils-tracepath iso-codes kernel-package klibc-utils klogd
laptop-detect less lib32asound2 lib32gcc1 lib32ncurses5 lib32stdc++6
lib32z1
liba52-0.7.4 libaa1 libacl1 libao2 libapm1 libapr1 libaprutil1
libart-2.0-2
libart2 libasound2 libaspell15 libatk1.0-0 libattr1 libaudio2
libaudiofile0
libavahi-client3 libavahi-common-data libavahi-common3 libavahi-glib1
libblkid1 libbluetooth2 libbonobo2-0 libbonobo2-common libbonoboui2-0
libbonoboui2-common libbz2-1.0 libc6 libc6-dev libc6-dev-i386 libc6-i386
libcaca0 libcairo2 libcdparanoia0 libcomerr2 libcompress-zlib-perl
libconsole libcpufreq0 libcroco3 libcucul0 libcupsimage2 libcupsys2
libcurl3
libdaemon0 libdb4.2 libdb4.3 libdb4.4 libdbd-mysql-perl libdbi-perl
libdbus-1-3 libdbus-1-dev libdbus-glib-1-2 libdc1394-13 libdiscover1
libdmx-dev libdmx1 libdrm2 libdv4 libdvdread3 libedata-book1.2-2 libedit2
libeel2-data libexif12 libexpat1 libexpat1-dev libfam0 libfontconfig1
libfontconfig1-dev libfontenc-dev libfontenc1 libfreetype6
libfreetype6-dev
libfs-dev libfs6 libgail-common libgcc1 libgcj-bc libgcj-common
libgconf2-4
libgcrypt11 libgda2-3 libgda2-common libgdl-1-0 libgdl-1-common libgimp2.0
libgksu2-0 libgksuui1.0-1 libgl1-mesa-dev libgl1-mesa-dri libgl1-mesa-glx
libglade2-0 libglib2.0-0 libglu1-mesa libglu1-mesa-dev libgnome-desktop-2
libgnome-keyring0 libgnome-media0 libgnome-menu2 libgnome-pilot2
libgnome-window-settings1 libgnome2-0 libgnome2-common libgnome32
libgnomecanvas2-0 libgnomecanvas2-common libgnomecups1.0-1
libgnomeprint2.2-0 libgnomeprint2.2-data libgnomeprintui2.2-0
libgnomeprintui2.2-common libgnomesupport0 libgnomeui-0 libgnomeui-common
libgnomeui32 libgnomevfs2-0 libgnomevfs2-common libgnorba27 libgnorbagtk0
libgnutls13 libgpg-error0 libgphoto2-2 libgphoto2-port0 libgsf-1-114
libgsf-1-common libgsm1 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0
libgtk1.2 libgtk1.2-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
libgtkhtml2-0 libgtkhtml3.8-15 libgtksourceview-common
libgtksourceview1.0-0
libgtkspell0 libgtop2-7 libgtop2-common libgutenprint2 libgutenprintui2-1
libhal-dev libhal-storage1 libhal1 libhsqldb-java libhtml-parser-perl
libhtml-tagset-perl libhtml-tree-perl libice-dev libice6 libidl0 libidn11
libieee1284-3 libjaxp1.3-java libjline-java libjpeg62 libjpeg62-dev
libklibc
libkpathsea4 libkrb53 liblcms1 liblcms1-dev liblircclient0
liblocale-gettext-perl liblockdev1 liblogfile-rotate-perl libmad0
libmagic1
libmdbtools libmetacity0 libmodplug0c2 libmpeg2-4 libmusicbrainz4c2a
libmysqlclient15-dev libmysqlclient15off libnautilus-extension1
libncurses5
libncurses5-dev libncursesw5 libnewt0.52 libnm-glib0 libnotify1
libnspr4-0d
libogg0 liboil0.3 liborbit2 libpam-modules libpam-runtime libpam0g
libpanel-applet2-0 libpango1.0-0 libpango1.0-common libpaper1 libpcap0.8
libpcre3 libpisock9 libpng12-0 libpng12-dev libpopt0 libportaudio0
libraw1394-8 libreadline5 librsvg2-2 librsvg2-common libsane libsasl2-2
libscrollkeeper0 libsdl1.2debian libsdl1.2debian-alsa libselinux1
libsensors3 libsepol1 libservlet2.3-java libshout3 libsidplay1
libsigc++-2.0-0c2a libslang2 libslp1 libsm-dev libsm6 libsmbclient
libsndfile1 libsnmp-base libsoup2.2-8 libspeex1 libsqlite3-0 libss2
libssl0.9.8 libstartup-notification0 libstdc++6 libstdc++6-4.1-dev
libsvga1
libsysfs2 libtag1c2a libtasn1-3 libtext-charwidth-perl libtext-iconv-perl
libtext-wrapi18n-perl libtheora0 libtiff4 libungif4g liburi-perl
libusb-0.1-4 libusb-dev libuuid1 libvisual-0.4-0 libvolume-id0 libvorbis0a
libvorbisenc2 libvorbisfile3 libvte-common libwmf0.2-7 libwnck-common
libwpd8c2a libwrap0 libwww-mechanize-perl libwww-perl libx11-6 libx11-data
libx11-dev libxalan2-java libxau-dev libxau6 libxaw7 libxaw7-dev
libxcomposite-dev libxcomposite1 libxcursor-dev libxcursor1 libxdamage-dev
libxdamage1 libxdmcp-dev libxdmcp6 libxerces2-java libxevie-dev libxevie1
libxext-dev libxext6 libxfixes-dev libxfixes3 libxfont-dev libxfont1
libxft-dev libxft2 libxi-dev libxi6 libxinerama-dev libxinerama1
libxkbfile-dev libxkbfile1 libxkbui-dev libxkbui1 libxml2 libxml2-dev
libxml2-utils libxmu-dev libxmu-headers libxmu6 libxmuu-dev libxmuu1
libxp6
libxpm-dev libxpm4 libxrandr-dev libxrandr2 libxrender-dev libxrender1
libxres-dev libxres1 libxslt1-dev libxslt1.1 libxss-dev libxss1 libxt-dev
libxt6 libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1
libxvmc-dev libxvmc1 libxxf86dga-dev libxxf86dga1 libxxf86misc-dev
libxxf86misc1 libxxf86vm-dev libxxf86vm1 links2 linux-sound-base
lm-sensors
locales login lsb-base lsb-release lsof m4 make makedev man-db manpages
manpages-dev mawk menu menu-xdg mesa-common-dev mesa-utils metacity
metacity-common mime-support minicom mkisofs mktemp module-assistant
module-init-tools mount mplayer-skin-blue myspell-en-us mysql-client-5.0
mysql-common mysql-server mysql-server-5.0 nano nautilus
nautilus-cd-burner
nautilus-data ncurses-base ncurses-bin net-tools netbase netcat nmap
ntpdate
openbsd-inetd openoffice.org openoffice.org-base openoffice.org-calc
openoffice.org-common openoffice.org-core openoffice.org-draw
openoffice.org-gnome openoffice.org-gtk openoffice.org-impress
openoffice.org-java-common openoffice.org-math openoffice.org-writer
openssh-client openssl passwd patch pciutils pcmcia-cs pcmciautils perl
perl-base perl-modules php5-cli php5-common php5-mysql pkg-config pmount
po-debconf poppler-utils portmap powermgmt-base ppp procps psmisc python
python-apt python-cairo python-central python-foomatic python-glade2
python-gmenu python-gnome2 python-gnome2-desktop python-gnome2-extras
python-gtk2 python-imaging python-ipy python-libxml2 python-minimal
python-numeric python-pyorbit python-support python-uno python-vte
python2.4
python2.4-minimal rdesktop readline-common rsync rtorrent samba-common
sane
schroot scrollkeeper sed shared-mime-info smbfs sudo svgalibg1 sysklogd
system-tools-backends sysv-rc sysvinit sysvinit-utils tar tasksel
tasksel-data tcpd tcpdump telnet traceroute ttf-dejavu ttf-opensymbol twm
tzdata ucf udev unzip update-inetd usbutils uswsusp util-linux vbetool vim
vim-common vim-gnome vim-gui-common vim-runtime vim-tiny vino wget
whiptail
wifi-radar winbind wine wireless-tools wodim wpasupplicant x11-common
x11proto-bigreqs-dev x11proto-composite-dev x11proto-core-dev
x11proto-damage-dev x11proto-dmx-dev x11proto-evie-dev x11proto-fixes-dev
x11proto-fontcache-dev x11proto-fonts-dev x11proto-gl-dev
x11proto-input-dev
x11proto-kb-dev x11proto-randr-dev x11proto-record-dev x11proto-render-dev
x11proto-resource-dev x11proto-scrnsaver-dev x11proto-trap-dev
x11proto-video-dev x11proto-xcmisc-dev x11proto-xext-dev
x11proto-xf86bigfont-dev x11proto-xf86dga-dev x11proto-xf86dri-dev
x11proto-xf86misc-dev x11proto-xf86vidmode-dev x11proto-xinerama-dev
xbase-clients xfonts-base xfonts-encodings xfonts-utils xkb-data xkeycaps
xlibmesa-gl-dev xml-core xorg-dev xsane xsane-common xserver-xorg
xserver-xorg-core xserver-xorg-dev xserver-xorg-input-all
xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse
xserver-xorg-input-synaptics xserver-xorg-input-wacom
xserver-xorg-video-all
xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati
xserver-xorg-video-chips xserver-xorg-video-cirrus
xserver-xorg-video-cyrix
xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-glint
xserver-xorg-video-i128 xserver-xorg-video-i810 xserver-xorg-video-mga
xserver-xorg-video-neomagic xserver-xorg-video-nv
xserver-xorg-video-rendition xserver-xorg-video-s3
xserver-xorg-video-s3virge xserver-xorg-video-savage
xserver-xorg-video-siliconmotion xserver-xorg-video-sis
xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-tga
xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-v4l
xserver-xorg-video-vesa xserver-xorg-video-vga xserver-xorg-video-via
xserver-xorg-video-voodoo xterm xtrans-dev xutils xutils-dev zenity zlib1g
zlib1g-dev
780 upgraded, 223 newly installed, 27 to remove and 3 not upgraded.
Need to get 682MB of archives.
After unpacking 414MB of additional disk space will be used.
Do you want to continue [Y/n]? n
Abort.
sparky:~#

--
Peet Grobler
peet@hivemind.net


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

"Mumia W.." 07-11-2008 07:23 PM

apt upgrade to testing breaks?
 
On 07/11/2008 11:26 AM, Peet Grobler wrote:

I'd like to upgrade my etch notebook to testing, simply to have newer
packages available. This machine is not visible on the internet, and I'm
the only user, so security is not such a huge issue. Attempting to do
this though - apt says it'll uninstall certain packages (which I use!)



That's normal.


I'm not sure if I can go ahead and do the dist-upgrade, and just install
the packages again after. I don't want to try this and have to
re-install the notebook from scratch again (it's quite a hassle getting
everything working)

Any advice appreciated. sources.list and output from apt-get dist-upgrade:

sparky:~# cat /etc/apt/sources.list
# TENET mirror
deb http://debian.mirror.ac.za/debian/ etch main contrib non-free
deb http://debian.mirror.ac.za/debian/ testing main contrib non-free

# Official debian repository
deb ftp://ftp.debian.org/debian/ etch main contrib non-free
deb ftp://ftp.debian.org/debian/ testing main contrib non-free

# Official security updates
deb http://security.debian.org/ etch/updates main contrib non-free



Remove any non-Debian repositories from your sources.list; also remove
any packages from non-Debian repositories before you upgrade.



# WineHQ - Debian etch repository
deb http://wine.budgetdedicated.com/apt etch main

# swiftfox
deb http://getswiftfox.com/builds/debian unstable non-free
sparky:~#

sparky:~# apt-get dist-upgrade
Reading package lists... Done [...]


It's perfectly normal to have lots of packages removed during a big
dist-upgrade, but the non-Debian packages are likely to conflict with
the Debian ones in complex ways, so it's safest for them to be removed
before the upgrade. If those other software sources have created
packages for Lenny, you'll be able to reinstall the removed packages.


After you've removed WineHQ and swiftfox from sources.list, do "apt-get
update." You should then be able to go into "aptitude" and find the
non-Debian packages under "Obsolete and locally-generated packages."
Remove everything that's there.


It should then be safe to upgrade to testing.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Andrei Popescu 07-13-2008 09:31 AM

apt upgrade to testing breaks?
 
On Fri,11.Jul.08, 18:26:32, Peet Grobler wrote:

[...]

> sparky:~# cat /etc/apt/sources.list
> # TENET mirror
> deb http://debian.mirror.ac.za/debian/ etch main contrib non-free
> deb http://debian.mirror.ac.za/debian/ testing main contrib non-free
>
> # Official debian repository
> deb ftp://ftp.debian.org/debian/ etch main contrib non-free
> deb ftp://ftp.debian.org/debian/ testing main contrib non-free

Why do you use two mirrors (especially ftp.debian.org, which used to be
horribly outdated)?

> # Official security updates
> deb http://security.debian.org/ etch/updates main contrib non-free
>
> # WineHQ - Debian etch repository
> deb http://wine.budgetdedicated.com/apt etch main
>
> # swiftfox
> deb http://getswiftfox.com/builds/debian unstable non-free
> sparky:~#

As already said, it's safer to remove third-party repos.

> sparky:~# apt-get dist-upgrade
> Reading package lists... Done
> Building dependency tree... Done
> Calculating upgrade... Done
> The following packages will be REMOVED:
> dbus-1-utils fglrx-kernel-2.6.25-1.7 fglrx-kernel-2.6.25-1.8 gimp
------------------------------^^^^^^------------------^^^^^^

Where did you get those two packages? Are you using a 2.6.25 kernel?

Everything else looks normal AFAICT.

Regards,
Andrei
--
If you can't explain it simply, you don't understand it well enough.
(Albert Einstein)

Peet Grobler 07-13-2008 11:36 AM

apt upgrade to testing breaks?
 
Andrei Popescu wrote:

On Fri,11.Jul.08, 18:26:32, Peet Grobler wrote:

[...]


sparky:~# cat /etc/apt/sources.list
# TENET mirror
deb http://debian.mirror.ac.za/debian/ etch main contrib non-free
deb http://debian.mirror.ac.za/debian/ testing main contrib non-free

# Official debian repository
deb ftp://ftp.debian.org/debian/ etch main contrib non-free
deb ftp://ftp.debian.org/debian/ testing main contrib non-free


Why do you use two mirrors (especially ftp.debian.org, which used to be
horribly outdated)?


I'm not sure if the mirror (mirror.ac.za) is up to date at all times,
seemed like a good idea. I've not hit it on any upgrades though, so
should be safe to remove.



# Official security updates
deb http://security.debian.org/ etch/updates main contrib non-free

# WineHQ - Debian etch repository
deb http://wine.budgetdedicated.com/apt etch main

# swiftfox
deb http://getswiftfox.com/builds/debian unstable non-free
sparky:~#


As already said, it's safer to remove third-party repos.


I need wine :) I've done the upgrade though, without it - I'll add the
testing repo later and try and get it back.



sparky:~# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Calculating upgrade... Done
The following packages will be REMOVED:
dbus-1-utils fglrx-kernel-2.6.25-1.7 fglrx-kernel-2.6.25-1.8 gimp

------------------------------^^^^^^------------------^^^^^^

Where did you get those two packages? Are you using a 2.6.25 kernel?


Yes, 2.6.25 kernel. Needed some features not in the older kernel on
stable. Those two packages are the proprietary ATI drivers.


--
Peet Grobler
peet@hivemind.net


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Andrei Popescu 07-13-2008 01:06 PM

apt upgrade to testing breaks?
 
On Sun,13.Jul.08, 13:36:19, Peet Grobler wrote:

>> As already said, it's safer to remove third-party repos.
>
> I need wine :) I've done the upgrade though, without it - I'll add the
> testing repo later and try and get it back.
>
>>> sparky:~# apt-get dist-upgrade
>>> Reading package lists... Done
>>> Building dependency tree... Done
>>> Calculating upgrade... Done
>>> The following packages will be REMOVED:
>>> dbus-1-utils fglrx-kernel-2.6.25-1.7 fglrx-kernel-2.6.25-1.8 gimp
>> ------------------------------^^^^^^------------------^^^^^^
>>
>> Where did you get those two packages? Are you using a 2.6.25 kernel?
>
> Yes, 2.6.25 kernel. Needed some features not in the older kernel on
> stable. Those two packages are the proprietary ATI drivers.

You already did the upgrade, but for further reference, it is best to
remove any packages not found in the official Debian repos. After the
upgrade you can put them back, though some of them need to be rebuilt.

Regards,
Andrei
--
If you can't explain it simply, you don't understand it well enough.
(Albert Einstein)

Peet Grobler 07-13-2008 02:00 PM

apt upgrade to testing breaks?
 
Andrei Popescu wrote:

On Sun,13.Jul.08, 13:36:19, Peet Grobler wrote:
You already did the upgrade, but for further reference, it is best to
remove any packages not found in the official Debian repos. After the
upgrade you can put them back, though some of them need to be rebuilt.


That is what I did - remove the unofficial sources and packages,
upgrade, then put unofficial back (still need to be done).


--
Peet Grobler
peet@hivemind.net


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 02:00 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.